# -.- coding: UTF-8 -.-
class kocsik:
    def __init__(self,line):
        s = line.split()
        self.nap = s[0]
        self.ido = s[1]
        self.rendsz = s[2]
        self.az = s[3]
        self.km = int(s[4])
        self.irany = "ki" if s[5] == "0" else "be"
        
#1.feladat
adatok = []
with open("autok.txt") as file:
    for line in file:
        s = line.strip()
        adatok.append(kocsik(s))

#2.feladat
print("2.feladat")
for i in range(len(adatok)-1,-1,-1):
    if adatok[i].irany == "ki":
        print("{}.nap rendszám: {}".format(adatok[i].nap,adatok[i].rendsz))
        break

#3.feladat
print("3.feladat")
nap = input("Nap: ")
print("Forgalom a(z) {}. napon:".format(nap))
for adat in adatok:
    if adat.nap == nap:
        print(adat.ido,adat.rendsz,adat.az,adat.irany)

#4.feladat
print("4.feladat")
be = 0
ki = 0
for adat in adatok:
    if adat.irany == "ki":
        ki += 1
    else:
        be += 1
print("A hónap végén {} autót nem hoztak vissza.".format(ki - be))

#5.feladat
kmkezd = [0]*10
kmveg = [0]*10
for adat in adatok:
    if kmkezd[int(adat.rendsz[5])] == 0:
        kmkezd[int(adat.rendsz[5])] = adat.km
    kmveg[int(adat.rendsz[5])] = adat.km
for i in range(0,10):
    print("CEG30{} {} km".format(i,kmveg[i]-kmkezd[i]))

#6.feladat
print("6.feladat")
aktkm = [0]*10
maxkm = [0,0]
for adat in adatok:
    if adat.irany == "ki":
        aktkm[int(adat.rendsz[5])] = adat.km
    else:
        sz = adat.km - aktkm[int(adat.rendsz[5])]
        if  sz > maxkm[0]:
            maxkm[0] = sz
            maxkm[1] = adat.az
print("Leghosszab út: {} km, személy: {}".format(maxkm[0],maxkm[1]))

#7.feladat
print("7.feladat")
rendsz = input("Rendszám: ")
segedl = []
with open("{}_menetlevel.txt".format(rendsz),"w") as file:
    for adat in adatok:
        if adat.rendsz == rendsz:
            segedl.append(adat)
    for i in range(0,len(segedl),2):
        file.write("{}\t{}. {}\t{} km"
        .format(segedl[i].az,segedl[i].nap.rjust(2," "),segedl[i].ido,str(segedl[i].km).rjust(5," ")))
        if i+1 < len(segedl):
            file.write("\t{}. {}\t{} km\n"
            .format(segedl[i+1].nap.rjust(2," "),segedl[i+1].ido,str(segedl[i+1].km).rjust(5," ")))
print("Menetlevél kész.")
            
